Subject: bug#47301: (guix profiles) is not re-exported by (guix)

From: Ludovic Courtès <[email-masked]>
Date: Fri, 16 Apr 2021 22:16:01 +0200

Hi!

Ricardo Wurmus <[email-masked]> skribis:

> The (guix) module is supposed to export all public modules, but it does
> not re-export the (guix profiles) module.

Initially (guix) would only re-export modules “commonly used” in package
modules, manifests, or ‘guix.scm’ files; (guix profiles) would not quite
fall into that category.

It might be different now that there’s a <profile> record type, for
instance.  If you find it useful, I think you can go ahead and have it
re-exported.

Thanks,
Ludo’.